# dlangui.graphics.glsupport

DLANGUI library.
This module contains OpenGL access layer.
To enable OpenGL support, build with version(USE_OPENGL);
Synopsis:

    import dlangui.graphics.glsupport;

License:
Boost License 1.0
Authors:
Vadim Lopatin, coolreader.org@gmail.com

uint genTexture();
  generate new texture ID
void deleteTexture(ref uint textureId);
  delete OpenGL texture
void flushGL();
  call glFlush
bool createFramebuffer(ref uint textureId, ref uint framebufferId, int dx, int dy);
  returns texture ID for buffer, 0 if failed

Page generated by Ddoc. Vadim Lopatin, 2014